/******************************************************************************
*File name : MM_MISC.h

*Version.Revision: 1.2

*Description:
*	This file contains the declaration of all the functions in MM_MISC.c that can be accessed from outside the library

*Creation Date & Author: 23-02-2006, SP, DS, LP

*Version, Update date & Author: 1.1, 26-05-2006, SP
*								new function to read BootSW event counters
*								1.2, 23-08-2007, SP
*								new addresses to read APID counters used by OBSW
******************************************************************************/
#ifndef __MM_MISC_H__
#define __MM_MISC_H__

extern unsigned int is_even(unsigned int a);
extern unsigned int IFSI_DIV(unsigned int Dividend, unsigned int Divisor);
extern unsigned int IFSI_MOD(unsigned int Dividend, unsigned int Divisor);
extern void read_BSW_counters(unsigned int *);

/* First three are used by Boot SW */
#define BOOT_SEQ_COUNTER	0x1560 /* This line is copied in MM_21020.s */
#define BOOT_EVENT_51		0x1561
#define BOOT_EVENT_54		0x1562
/* Used by OBSW */
#define BOOT_EVENT_52		0x1563
#define OBSW_APID_2			0x1564
#define OBSW_APID_3			0x1565
#define OBSW_APID_4			0x1566
#define OBSW_APID_5			0x1567
#define OBSW_APID_6			0x1568
/* Mask to distinguish between a reset/patching and start from Boot SW */
#define MASK_FOR_APID_SSC	0xABCD0000

#endif
